p {
  max-width: 40em;
}

hr {
  height: 1px;
  border: none;
  background: #0004;
  max-width: 40em;
  margin: 0.5em 0;
}

.coins-cont {
  --rotate: 1;
  display: inline-flex;
  /* flex-direction: row-reverse;
  justify-content: flex-end; */
  align-items: baseline;
  gap: 0.5em;
  margin: -0.5em -1em;
  margin-left: calc(35px - var(--rotate) * 0.25px);

  flex-wrap: wrap;
  min-width: 480px;

  user-select: none;
}

span.coin-span {
  display: inline-block;
  width: 1.5em;
  height: 1.5em;
  line-height: 1.4em;
  text-align: center;
  margin: -0.2em -0.2em;
  border-radius: 50%;
  transform: scale(0.75);
  font-weight: bold;
}
span.coin-span.coin-l {
  background-color: #b6c9ca;
  color: #414141;
  box-shadow: 0 0 0 1px #b6c9ca;
}
span.coin-span.coin-s {
  background-color: #ebd39f;
  color: #50493b;
  box-shadow: 0 0 0 1px #ebd39f;
}
span.coin-span.coin-xs {
  background-color: #dfe5e7;
  color: #646464;
  box-shadow: 0 0 0 1px #dfe5e7;
}

.rotate-cont {
  display: flex;
  align-items: center;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
  color: color-mix(in srgb, currentColor, transparent 50%);
  margin: 1em 0;
}

.coin {
  position: relative;
  height: var(--sz);
  width: var(--sz);
  transform-style: preserve-3d;
  transform: rotateY(calc(var(--rotate) * 1deg));
  flex-shrink: 0;
  margin-left: calc(-45px + var(--rotate) * 0.25px);
}
.coin:first-child {
  /* margin-left: 0; */
}

.coin-face,
.coin-back,
.coin-edge {
  position: absolute;
  background-size: cover;
  background-position: center;
  height: 100%;
}

.coin-face,
.coin-back {
  background-image: var(--url);
  background-size: calc(100% + 2px);
  width: 100%;
  border-radius: 100%;
  -webkit-backface-visibility: hidden;
  backface-visibility: hidden;
  
}
.coin-face::after,
.coin-back::after {
  content: "";
  display: block;
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  border-radius: 50%;
}

.coin-face {
  transform: translateZ(calc(var(--wdth) * (0.5)));
  box-shadow:
    calc(-2px - (var(--rotate) * 0.75px))
    2px
    calc(var(--rotate) * 0.5px)
    calc(var(--rotate) * 0.25px)
    color-mix(in srgb, var(--bg, #fff) 30%, transparent);
}
.coin-face::after {
  background-color: #000;
  opacity: calc(var(--rotate) * 0.002);
}

.coin-back {
  transform: rotateY(180deg) translateZ(calc(var(--wdth) * (0.5001)));
}
.coin-back::after {
  background-color: var(--bg, #fff);
  opacity: calc(0.63 - var(--rotate) * 0.0035);
}

.coin-edge {
  background-image: var(--url);
  background-size: calc(var(--sz) * 1.5) 100%;
  background-position: center;
  left: calc((var(--sz) - var(--wdth)) / 2);
  width: var(--wdth);
  z-index: -10;
  transform: rotateY(-90deg);
  transform-origin: center;
  transform-style: preserve-3d;
}
.coin-edge::before,
.coin-edge::after {
  content: "";
  position: absolute;
  display: block;
  height: 100%;
  width: var(--sz);
  top: 0;
  left: calc((var(--sz) - var(--wdth)) / (-2));
  -webkit-backface-visibility: hidden;
  backface-visibility: hidden;
  background-image: var(--url);
  background-size: calc(var(--sz) * 1.5) 100%;
  background-position: center;
  border-radius: 100%;
  transform: rotateY(90deg) translateZ(calc(var(--wdth) / (-2)));
}
.coin-edge::after {
  transform: rotateY(-90deg) translateZ(calc(var(--wdth) / (-2)));
}
